GDB (xrefs)

Functions | Variables
/tmp/gdb-8.1/gdb/i386-sol2-tdep.c File Reference
`#include "defs.h"`
`#include "value.h"`
`#include "osabi.h"`
`#include "sol2-tdep.h"`
`#include "i386-tdep.h"`
`#include "solib-svr4.h"`

Go to the source code of this file.

## Functions
static int | i386_sol2_sigtramp_p (struct frame_info *this_frame)
static CORE_ADDR | i386_sol2_mcontext_addr (struct frame_info *this_frame)
static const char * | i386_sol2_static_transform_name (const char *name)
static void | i386_sol2_init_abi (struct gdbarch_info info, struct gdbarch *gdbarch)
static enum gdb_osabi | i386_sol2_osabi_sniffer (bfd *abfd)
void | _initialize_i386_sol2_tdep (void)

## Variables
static int | i386_sol2_gregset_reg_offset []

## Function Documentation

## ◆ _initialize_i386_sol2_tdep()

void _initialize_i386_sol2_tdep | ( | void |  | ) |

Definition at line 154 of file i386-sol2-tdep.c.

References GDB_OSABI_SOLARIS, gdbarch_register_osabi(), gdbarch_register_osabi_sniffer(), i386_sol2_init_abi(), and i386_sol2_osabi_sniffer().

## ◆ i386_sol2_init_abi()

static void i386_sol2_init_abi | ( | struct gdbarch_info | info,
|  | struct gdbarch * | gdbarch
| ) |  |
| static

Definition at line 104 of file i386-sol2-tdep.c.

References gdbarch_tdep(), gdbarch_tdep::gregset_num_regs, gdbarch_tdep::gregset_reg_offset, i386_sol2_gregset_reg_offset, i386_sol2_mcontext_addr(), i386_sol2_sigtramp_p(), i386_sol2_static_transform_name(), i386_svr4_init_abi(), gdbarch_tdep::sc_num_regs, gdbarch_tdep::sc_reg_offset, set_gdbarch_core_pid_to_str(), set_gdbarch_skip_solib_resolver(), set_gdbarch_sofun_address_maybe_missing(), set_gdbarch_static_transform_name(), set_solib_svr4_fetch_link_map_offsets(), gdbarch_tdep::sigcontext_addr, gdbarch_tdep::sigtramp_p, gdbarch_tdep::sizeof_fpregset, gdbarch_tdep::sizeof_gregset, sol2_core_pid_to_str(), sol2_skip_solib_resolver(), and svr4_ilp32_fetch_link_map_offsets().

Referenced by _initialize_i386_sol2_tdep().

## ◆ i386_sol2_mcontext_addr()

static CORE_ADDR i386_sol2_mcontext_addr | ( | struct frame_info * | this_frame | ) |
| static

Definition at line 67 of file i386-sol2-tdep.c.

References get_frame_memory_unsigned(), get_frame_register_unsigned(), and I386_ESP_REGNUM.

Referenced by i386_sol2_init_abi().

## ◆ i386_sol2_osabi_sniffer()

static enum gdb_osabi i386_sol2_osabi_sniffer | ( | bfd * | abfd | ) |
| static

Definition at line 143 of file i386-sol2-tdep.c.

References GDB_OSABI_SOLARIS, and GDB_OSABI_UNKNOWN.

Referenced by _initialize_i386_sol2_tdep().

## ◆ i386_sol2_sigtramp_p()

static int i386_sol2_sigtramp_p | ( | struct frame_info * | this_frame | ) |
| static

Definition at line 53 of file i386-sol2-tdep.c.

References find_pc_partial_function(), get_frame_pc(), and name.

Referenced by i386_sol2_init_abi().

## ◆ i386_sol2_static_transform_name()

static const char* i386_sol2_static_transform_name | ( | const char * | name | ) |
| static

Definition at line 81 of file i386-sol2-tdep.c.

References name.

Referenced by i386_sol2_init_abi().

## Variable Documentation

## ◆ i386_sol2_gregset_reg_offset

int i386_sol2_gregset_reg_offset[]
| static

Initial value:
=
{
11 * 4,
10 * 4,
9 * 4,
8 * 4,
17 * 4,
6 * 4,
5 * 4,
4 * 4,
14 * 4,
16 * 4,
15 * 4,
18 * 4,
3 * 4,
2 * 4,
1 * 4,
0 * 4
}

Definition at line 29 of file i386-sol2-tdep.c.

Referenced by i386_sol2_init_abi().